function y = Newton(f, df, c, dc, x, h, A, b, nNewton)

% Computation of the stages of an implicit RK method 
% through a Newton iteration


% INPUT : x - approximate solution at the current time step
%       : f, df - right hand side function and its derivative
%       : h - stepsize
%       : A, b - coefficients of the RK method

% OUTPUT: k - computed stages of the RK method

% Tolerance
Tol = 1e-10;
% Maximum number of iterations for the Newton algorithm
MaxIt =  ...;

% Number of stages of the method
s = ...;
% Size of the solution vector
n = ...;

% This template is fairly scarce in detail since there are many ways to
% implement the solution of this problem through Newton iterations

% First you need to properly write the problem in the Newton form, i.e., as
% a root finding problem, F(x) = 0. The function F should carry information
% about k's and about c as well. So, in one approach it would be 5x1
% dimensional (hence DF would be 5x5). 

% Preallocate the memory for variables

% Compute Newton iterations
for i = 1:MaxIt
    % Set up your current iterate and evaluate F and DF on that current
    % iterate.
    % You should also check whether the Jacobian matrix you use is
    % singular, for example
    % %      if (abs(det(J))<1e-14)
    % %          disp('Newton matrix is singular!');
    % %          return;
    % %      end
    % Upon setting the required variables compute next Newton iterate

    % Stopping criteria
    if ( ) < Tol
        y = % Assign the output;
        return;
    else
        % Set the current iterate to be the initial value for the next
        % iteration
    end
    
    
end

