function fit = expEMconv
  % Code for estimating the order of convergence of the exponential Euler
  % Output: fit - coefficients of the polynomial

  % Define the data
  T = % Time interval
  h = % Time steps
  y0 = % Initial data
  err = % Preallocate the error vector
  sol = @(t) [exp(cos(t));sin(t).*exp(cos(t))]; % Exact Solution
  
  
  for j = 1:length(h)
    % For a given time step call expEM to compute the approximation.
    % Set doPlot = 0 when running the code so that you do not plot the 
    % solution in each step (or enter only three arguments
    
    % Compute the error at the end time
    err(j) = 
  end

  % Plotting
  figure;
  loglog(h,err,'bx:')
  grid on;
  title('Exponential Euler');
  xlabel('h');
  ylabel('Error');
  print -dpdf expEMconv

  % To compute the numerical order of convergence we use polyfit
  fit = 
  fprintf('Numerically calculated order of convergence:: %f\n',fit(1));

